Open Infrastructure - Task #8888

Meta-Issue for Matrix late-winter 2021 cleanup
02/11/2021 03:50 PM - Timothée Floure

Status: Closed Start date: 02/11/2021
Priority: Normal Due date:

Assignee: Timothée Floure % Done: 0%
Category: Estimated time: 0.00 hour

Target version:
PM Check date:

Description
Hello there,

We have some performance issues and infrastructure rot on our matrix deployments: I'll work on it here and there over the next few
weeks. This meta-issue will make following easier to follow what's going on. | might add things on the fly as | encounter them / link to

other issues later on.

e [x] Cleaning up and upstreaming the __matrix-synapse cdist type. #7345
- [x] Clean-up.
- [x] Bring configuration template up-to-date.
- [x] Add more performance-related flags.
- [x] Add support for multi-workers (a new ___matrix_synapse_worker type might be needed)
- [x] Upstream to cdist-contrib See https://code.ungleich.ch/ungleich-public/cdist-contrib/-/merge_requests/9
e [ ] Cleanup and simplify the __ungleich_matrix type
- [ 1 Allow PGSAQL tuning / auto-tune from explorer if not provided.
- [x] Adapt to updated __matrix_synapse type
¢ [ ] Revamp matrix monitoring: we need something simpler and more robust.
- [x] Get back missing instances in monitoring.
-[]1 Add alerts.
- [x] Add PGSQL performance monitoring.
¢ [x] Update admin Ul
¢ [] Investigate performance issues.
- [~] Checking out database bottlenecks.
- [~] Checking out synapse bottlenecks.
- [ ] Possibily add periodic database cleanup.
¢ [ ] Check out the state of the Jitsi integration.
- [x] Rebuilt with CDIST (small issue with watermark - see https:/code.ungleich.ch/ungleich-public/cdist-contrib/-/issues/4)
- [x] Wire Prometheus to the new Jitsi Exporter
- [ ] Add simple blackbox monitoring
¢ [x] Check state of ext.ungleich.ch homeserver
e [ 1 LOW_PRIO check out if it is useful to deploy our own integration server
¢ [ ] Don't forget to document!

Related issues:

Blocked by Open Infrastructure - Task #7345: Cleanup & upstream matrix-relate... Closed 11/28/2019
Blocked by Open Infrastructure - Task #8852: Investigate matrix.ungleich.ch s... Closed 02/05/2021
Blocked by Open Infrastructure - Task #8887: Update synapse-admin Closed 02/11/2021
History

#1 - 02/11/2021 03:52 PM - Timothée Floure

- Description updated

#2 - 02/15/2021 06:59 PM - Timothée Floure
- Blocked by Task #7345: Cleanup & upstream matrix-related types added

#3 - 02/15/2021 07:00 PM - Timothée Floure
- Blocked by Task #8852: Investigate matrix.ungleich.ch slowness added

#4 - 02/15/2021 07:00 PM - Timothée Floure
http://localhost:3000/issues/7345
https://code.ungleich.ch/ungleich-public/cdist-contrib/-/merge_requests/9
https://code.ungleich.ch/ungleich-public/cdist-contrib/-/issues/4

- Blocked by Task #8887: Update synapse-admin added

#5 - 02/15/2021 07:01 PM - Timothée Floure
- Blocks Task #8886: Drop talk.ungleich.ch and rebuild with cdist added

#6 - 02/15/2021 07:01 PM - Timothée Floure

- Blocks Task #8877: Checkout ext.ungleich.ch matrix instance on server1.place4 added

#7 - 02/18/2021 09:19 AM - Timothée Floure

- Description updated

#8 - 02/18/2021 09:20 AM - Timothée Floure

- Description updated

#9 - 02/19/2021 01:24 PM - Timothée Floure

- Description updated

#10 - 02/19/2021 01:38 PM - Timothée Floure

- Description updated

#11 - 02/19/2021 05:32 PM - Timothée Floure

- Description updated

The new shiny cdist pipeline seems to work nicely - it's currently deployed for staging and ungleich. We also have metrics exported to monitoring-v3.
All of this will be documented and rolled out to customer deployments next week.

#12 - 02/26/2021 10:34 AM - Timothée Floure

- Description updated

#13 - 03/02/2021 12:15 PM - Nico Schottelius

- Blocks deleted (Task #8877: Checkout ext.ungleich.ch matrix instance on serveri.place4)

#14 - 08/09/2021 10:14 AM - Nico Schottelius
- Blocks deleted (Task #8886: Drop talk.ungleich.ch and rebuild with cdist)

#15 - 11/11/2021 09:32 PM - Nico Schottelius

- Status changed from In Progress to Closed

04/19/2024 22


http://www.tcpdf.org

